﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Steema.TeeChart.Web;
using Steema.TeeChart.Styles;
using System.IO;

public partial class LegendCheck : System.Web.UI.Page
{

    private static Stream tmpChart;

    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);

        if (!Page.IsPostBack)
        {
            WebChart lChart = new WebChart();
            lChart.ID = "myChart";
            Line serie1 = new Line(lChart.Chart);
            serie1.FillSampleValues(5);
            Line serie2 = new Line(lChart.Chart);
            serie2.FillSampleValues(5);

            lChart.TempChart = TempChartStyle.Httphandler;
            lChart.AutoPostback = true;
            lChart.Chart.Legend.CheckBoxes = true;

            tmpChart = new MemoryStream();
            lChart.Chart.Export.Template.Save(tmpChart);
            tmpChart.Position = 0;

            PlaceHolder1.Controls.Add(lChart);
        }
        else
        {
            WebChart lChart = new WebChart();
            lChart.ID = "myChart";
            lChart.Chart.Import.Template.Load(tmpChart);
            PlaceHolder1.Controls.Add(lChart);
            lChart.TempChart = TempChartStyle.Httphandler;
            lChart.AutoPostback = true;
            tmpChart.Position = 0;

        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            ((WebChart)Page.FindControl("myChart")).AutoPostback = true;
        }
        else
        {
            ((WebChart)Page.FindControl("myChart")).AutoPostback = true;

        }
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        tmpChart = new MemoryStream();
        ((WebChart)Page.FindControl("myChart")).Chart.Export.Template.Save(tmpChart);
        tmpChart.Position = 0;
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);
    }
}